MYOBCommunity
Partner Zone
|
|
Partner Zone

Upgrading from MYOB Accountright v 19.15 to Accountright 2018.4 local upgrade

Accsys
2 Posts
Cover User
Australia
Accsys
Cover User

2Posts

0Kudos

0Solutions

Upgrading from MYOB Accountright v 19.15 to Accountright 2018.4 local upgrade

Hi all

 

We are just going through testing of upgrade from MYOB Accountright v 19.15 to Accountright 2018.4.  I have downloaded and installed server edition of version 2018.4 and am choosing "I don't have an internet connection" so that the test upgrade will not be online, but a local data file.

 

When I select the existing file to upgrade and then the password, it starts verifying the data file and I get the following error in the log:

 

Migration errors:
Source : UpgradeUtility
Method : ValidatePremierDataFile
Error : (UpgradeValidationError): Items: Test 7 of 49. RecordID: 5. Activity ID: 1 - Invalid link.

Unsuccessful upgrade!

 

I have done some research on this error.  I have subsequently optimised the data file but still get the same error.  One of the posts suggested clearing all of the electronic payment records.  The aba feature is not one we have used, as we process our payments manually through our banking software.  When I go into "Prepare Electronic Payments, there are thousands of old entries going back over 10 years.

 

Can anyone provide some advice about getting past this error?

 

Kind regards

 

Michael

2 REPLIES
Accsys
2 Posts
Cover User
Australia
Accsys
Cover User

2Posts

0Kudos

0Solutions

Re: Upgrading from MYOB Accountright v 19.15 to Accountright 2018.4 local upgrade

RESOLVED.

 

I read the message a little closer and the problem was there was an activity ID setup that was not complete.

 

I deleted it and the upgrade proceeded.

 

Thanks

 

Michael

Trusted User Elizabeth_Adamson
282 Posts
Trusted User
Australia
Elizabeth_Adamson
Trusted User

282Posts

140Kudos

9Solutions

Re: Upgrading from MYOB Accountright v 19.15 to Accountright 2018.4 local upgrade

I suggest you keep your classic version running in parallel with the new file for a little while as you may find the new version too slow (especially as your file becomes larger) and unreliable and need to revert. If you are upgrading because of STP then feel free to private message me with alternatives that may allow you to stay on the classic version for now.

 

Cheers

Liz

Didn't find your answer here?
Try using advanced search to find a post more easily Advanced Search
or
Get the conversation started and make a new post Start a Post